Status: Closed Start date: 13/12/2017
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

1. For the Maternal Off Study form - add "Mother did not complete ANV1 (1010) visit" as an OFF STUDY reason, and make this reason
NOT count against accrual

2. Make the current OFF STUDY reason which is listed as "Maternal seroconversion after 33 wks GA" one of the reasons that do NOT
count against accrual.

History

#1 - 24/01/2018 12:18 - Anonymous
- Status changed from New to Resolved

Ready for UAT

#2 - 21/02/2018 14:40 - Justine Legbedze

- File Maternal Off-study CRF entry_2018.02.21.pdf added

- File Maternal Off-study CRF_Yellow Screen Error_2018.02.21.pdf added
- Status changed from Resolved to Feedback

| UAT'ed the new off-study reason "maternal did not complete ANV1 visit" for PID 421-5 at 1000M on protocol v3. After saving the form, | received a yellow

screen error. Attached are 2 screenshots of the CRF entry and yellow screen error.

#3 - 28/02/2018 10:45 - Leslie Kepaletswe

- Status changed from Feedback to Resolved

Issue resolved, please UAT.

#4 - 28/02/2018 21:57 - Justine Legbedze
- File IndexError at _admin_td_maternal_maternaloffstudy add .pdf added
- Status changed from Resolved to Feedback

| UAT'ed on the "redmine" test server and it worked fine; | was able to save the off-study CRF for PID 422-6 for "mother did not attend ANV1" reason. But

my follow-up question is, should this also be working on the "protocol changes" test server? If so, | received another yellow screen error (see attached).

#5 - 06/03/2018 16:10 - Leslie Kepaletswe
- Status changed from Feedback to Resolved
The change applies for both servers, forgot to make a pull on the protocol changes server. Should be resolved now.

#6 - 13/03/2018 23:20 - Justine Legbedze

- File Add Maternal Off Study _ Django site admin_PID 403-1 (consented on v1 on protocol test server).pdf added
- File Add Maternal Off Study _ Django site admin_PID 421-5 (consented on v3 on protocol test server).pdf added
- Status changed from Resolved to Closed

I UAT'ed on the "protocol changes" test server and it worked fine. | was able to save the off-study CRF for PIDs 403-1 (consented on v1) and 421-5

(consented on v3) for "mother did not attend ANV 1" reason. See attached screenshots for successful testing.

| also re-UAT'ed on the "redmine" test server with PID 414-5 and it worked fine.

Issue is closed now; ready for live server deployment.
